OpenVDB 12.1.0

Loading...
Searching...
No Matches
FilteredTransfer< NullFilter > Struct Reference

Specialization of FilteredTransfer for NullFilters which do nothing. More...

`#include <openvdb/points/PointTransfer.h>`

## Public Member Functions
| FilteredTransfer (const NullFilter &)
void | initialize (const Coord &, const size_t, const CoordBBox &)
bool | startPointLeaf (const PointDataTree::LeafNodeType &)
bool | filter (const Index) const

## Detailed Description

Specialization of FilteredTransfer for NullFilters which do nothing.

## Constructor & Destructor Documentation

## ◆ FilteredTransfer()

FilteredTransfer | ( | const NullFilter & |  | ) |
| inline

## Member Function Documentation

## ◆ filter()

bool filter | ( | const Index |  | ) | const
| inline

## ◆ initialize()

void initialize | ( | const Coord & | ,
|  | const size_t | ,
|  | const CoordBBox & | )
| inline

## ◆ startPointLeaf()

bool startPointLeaf | ( | const PointDataTree::LeafNodeType & |  | ) |
| inline